Part Ellipsoid/pl: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "{{GuiCommand/pl |Name=Part Ellipsoid |Name/pl=Część Elipsoida |MenuLocation=Część → Utwórz geometrie pierwotne → Elipsoida |Workbenches=Część, OpenSCAD |SeeAlso=Utwórz geometrię pierwotną }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=Part Ellipsoid
|Name=Part Ellipsoid
|Name/pl=Część Elipsoida
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Ellipsoid
|MenuLocation=Część → Utwórz geometrie pierwotne → Elipsoida
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|Workbenches=[[Part_Workbench/pl|Część]], [[OpenSCAD_Workbench/pl|OpenSCAD]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives/pl|Utwórz geometrię pierwotną]]
}}
}}



Revision as of 16:28, 23 June 2023

Część Elipsoida

Lokalizacja w menu
Część → Utwórz geometrie pierwotne → Elipsoida
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrię pierwotną

Description

A Part Ellipsoid is a parametric solid that can be created with the Part Primitives command. In the coordinate system defined by its DANEPlacement property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its DANEAngle1 and/or DANEAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DANEAngle3 property.

Usage

See Part Primitives.

Example

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DANERadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DANERadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DANERadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DANEAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DANEAngle2. The default is -90°.
  • DANEAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DANEAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DANEAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()